Index: TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/VectorImpl.java
===================================================================
--- TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/VectorImpl.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/VectorImpl.java	(revision 3940)
@@ -183,8 +183,6 @@
 	 * 
 	 * @param string the string
 	 * 
-	 * @return the r names
-	 * 
 	 * @throws RWorkspaceException the r workspace exception
 	 */
 	public void getRNames(String[] string) throws RWorkspaceException {
Index: TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/MatrixImpl.java
===================================================================
--- TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/MatrixImpl.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/MatrixImpl.java	(revision 3940)
@@ -296,12 +296,10 @@
 	/**
 	 * Filter.
 	 *
-	 * @param freqs the freqs
 	 * @param nlines the nlines
 	 * @param fmin the fmin
 	 * @throws REXPMismatchException
 	 * @throws RWorkspaceException
-	 * @throws StatException
 	 */
 	public void filter(int nlines, int fmin, int fmax) throws RWorkspaceException, REXPMismatchException {
 		RWorkspace rw = RWorkspace.getRWorkspaceInstance();
@@ -360,7 +358,6 @@
 	 *
 	 * @param before lines before 'before' are removed
 	 * @param after lines after 'after' are removed
-	 * @throws StatException
 	 */
 	public void cut(int before, int after) {
 		if (after > this.getNRows()) {
@@ -396,7 +393,7 @@
 	/**
 	 * Fusion rows.
 	 *
-	 * @param row the row
+	 * @param rows the rows
 	 * @throws RWorkspaceException
 	 */
 	public boolean mergeRows(int[] rows) throws RWorkspaceException {
@@ -416,7 +413,7 @@
 	/**
 	 * Fusion rows.
 	 *
-	 * @param row the row
+	 * @param cols the cols to merge
 	 * @throws StatException 
 	 */
 	public boolean mergeCols(int[] cols) throws StatException {
@@ -753,7 +750,6 @@
 	 * Removes the col.
 	 *
 	 * @param col the col
-	 * @param checkEmptyLines the check empty lines
 	 */
 	public void removeCol(int col) {
 		// System.out.println("rmv col " + col);
Index: TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/ContingencyTableImpl.java
===================================================================
--- TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/ContingencyTableImpl.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/ContingencyTableImpl.java	(revision 3940)
@@ -83,7 +83,6 @@
 	}
 	
 	/**
-	 * See {@link MatrixImpl#Matrix(String, Header)}.
 	 *
 	 * @param symbol the name of the object
 	 * @throws RWorkspaceException the r workspace exception
Index: TXM/trunk/bundles/org.txm.wordcloud.core/src/org/txm/wordcloud/core/functions/WordCloud.java
===================================================================
--- TXM/trunk/bundles/org.txm.wordcloud.core/src/org/txm/wordcloud/core/functions/WordCloud.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.wordcloud.core/src/org/txm/wordcloud/core/functions/WordCloud.java	(revision 3940)
@@ -59,7 +59,7 @@
 	/**
 	 * Creates a not computed words cloud.
 	 * 
-	 * @param index
+	 * @param parent Index
 	 */
 	public WordCloud(Index parent) {
 		super(parent);
@@ -165,7 +165,6 @@
 	
 	/**
 	 * 
-	 * @param rw
 	 * @param packages
 	 * @return true if packages are installed and initialized
 	 */
Index: TXM/trunk/bundles/org.txm.para.rcp/src/org/txm/para/rcp/editors/ParaBrowserEditor.java
===================================================================
--- TXM/trunk/bundles/org.txm.para.rcp/src/org/txm/para/rcp/editors/ParaBrowserEditor.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.para.rcp/src/org/txm/para/rcp/editors/ParaBrowserEditor.java	(revision 3940)
@@ -163,7 +163,7 @@
 	/**
 	 * Do save as.
 	 *
-	 * @see org.eclipse.lyon gournd zeroui.part.EditorPart#doSaveAs()
+	 * @see "org.eclipse.lyon gournd zeroui.part.EditorPart#doSaveAs()"
 	 */
 	@Override
 	public void doSaveAs() {
Index: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/storage/temporary/TemporaryAnnotationManager.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/storage/temporary/TemporaryAnnotationManager.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/storage/temporary/TemporaryAnnotationManager.java	(revision 3940)
@@ -124,7 +124,6 @@
 	 * @param value
 	 * @param startPos
 	 * @param endPos
-	 * @param authorizedOverlap
 	 * @return overlapping annotations
 	 * @throws Exception
 	 */
@@ -194,9 +193,6 @@
 	
 	/**
 	 * 
-	 * @param refType
-	 * @param refVal
-	 * @param CQPpositions
 	 * @return
 	 * @throws Exception
 	 */
@@ -301,9 +297,7 @@
 	/**
 	 * returns annotation with all available constraints
 	 * 
-	 * @param typeId
 	 * @return
-	 * @throws Exception
 	 */
 	public List<Annotation> getAnnotations(AnnotationType refType, int startPosition, int endPosition, String value) {
 		String query = "SELECT annot FROM Annotation AS annot WHERE annot.PK.refType LIKE '" + refType.getId() + "'"; //$NON-NLS-1$ //$NON-NLS-2$
Index: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/KnowledgeRepository.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/KnowledgeRepository.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/KnowledgeRepository.java	(revision 3940)
@@ -176,7 +176,6 @@
 	/**
 	 * returns a resource URL for a defined TypedValue (for instance to display in a html viewer)
 	 * 
-	 * @param kr
 	 * @param typedValue
 	 * @return
 	 */
@@ -187,8 +186,6 @@
 	/**
 	 * returns a resource URL for a defined TypedValue (for instance to display in a html viewer)
 	 * 
-	 * @param kr
-	 * @param typedValue
 	 * @return
 	 */
 	public String getTypeURL(AnnotationType type) {
@@ -204,8 +201,6 @@
 	/**
 	 * returns a URL for a defined KnowledgeRepository (for instance to display in a html viewer)
 	 * 
-	 * @param kr
-	 * @param typedValue
 	 * @return
 	 */
 	public String getURL() {
@@ -291,9 +286,6 @@
 	/**
 	 * Populate the database with typed values if they do not exist yet
 	 * 
-	 * @param kr
-	 * @param dataAccessProperties
-	 * @param fieldsTypesProperties
 	 * @return
 	 */
 	public boolean buildTypesAndValues() {
Index: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/KnowledgeRepositoryManager.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/KnowledgeRepositoryManager.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/KnowledgeRepositoryManager.java	(revision 3940)
@@ -40,7 +40,7 @@
 	 * Lazy load KR.
 	 * 
 	 * @param name
-	 * @param conf
+	 * @param element
 	 * @return
 	 */
 	@SuppressWarnings("unchecked")
@@ -53,7 +53,7 @@
 	 * Lazy load KR.
 	 * 
 	 * @param name
-	 * @param conf
+	 * @param preferences
 	 * @return
 	 * @throws BackingStoreException
 	 */
Index: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationSyMoGIHWriter.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationSyMoGIHWriter.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationSyMoGIHWriter.java	(revision 3940)
@@ -73,11 +73,6 @@
 	
 	/**
 	 * 
-	 * @param xmlStandOffFile
-	 * @param tokenAnnotations
-	 * @param annotationsToAddByStartPos
-	 * @param annotationsToAddByEndPos
-	 * @param corpus_start_position
 	 * @param debug
 	 * @throws XMLStreamException
 	 * @throws IOException
Index: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationWriter.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationWriter.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationWriter.java	(revision 3940)
@@ -104,7 +104,6 @@
 	/**
 	 * Writing annotations in standoff files for each text of the corpus
 	 * 
-	 * @param allCorpusAnnotations
 	 * @return
 	 * @throws IOException
 	 * @throws CqiServerError
Index: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationInjector.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationInjector.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationInjector.java	(revision 3940)
@@ -74,8 +74,6 @@
 	 * 
 	 * @param xmlFile
 	 * @param tokenAnnotations
-	 * @param annotationsToAddByStartPos
-	 * @param annotationsToAddByEndPos
 	 * @param corpus_start_position
 	 * @param debug
 	 * @throws XMLStreamException
Index: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/CQPAnnotationManager.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/CQPAnnotationManager.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/CQPAnnotationManager.java	(revision 3940)
@@ -63,7 +63,6 @@
 	 * Return all annotations for ONE match
 	 * can be use to find out overlap
 	 * 
-	 * @param refType can be null
 	 * @param match can be null
 	 * @param value can be null
 	 * @param overlap
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/importer/ApplyXsl2.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/importer/ApplyXsl2.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/importer/ApplyXsl2.java	(revision 3940)
@@ -155,8 +155,6 @@
 	/**
 	 * Set a xslt param.
 	 *
-	 * @param name the name
-	 * @param pValue the value
 	 * @return true, if successful
 	 */
 	public boolean setParams(HashMap<String, String> params) {
@@ -463,8 +461,6 @@
 	 * Apply one XSL, XML files are replaced
 	 * 
 	 * @param xslFile
-	 * @param pSrcDirectory
-	 * @param outdir
 	 * @param params XSL parameters
 	 * @return
 	 * @throws TransformerException
@@ -480,8 +476,6 @@
 	 * Apply one XSL, XML files are replaced
 	 * 
 	 * @param xslFile
-	 * @param pSrcDirectory
-	 * @param outdir
 	 * @param params XSL parameters
 	 * @return
 	 * @throws TransformerException
@@ -560,7 +554,7 @@
 	 * Apply the XSL list. Files are replaced
 	 * 
 	 * @param filesToProcess
-	 * @param xslDirectory
+	 * @param xslFiles
 	 * @param xslParams
 	 * @return
 	 * @throws TransformerException
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/importer/xtz/Compiler.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/importer/xtz/Compiler.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/importer/xtz/Compiler.java	(revision 3940)
@@ -49,7 +49,6 @@
 	/**
 	 * called by ImportModule
 	 * 
-	 * @param orderedTextIDs
 	 */
 	@Override
 	public void process() {
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/importer/scripts/filters/Filter.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/importer/scripts/filters/Filter.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/importer/scripts/filters/Filter.java	(revision 3940)
@@ -303,7 +303,7 @@
 	}
 
 	/**
-	 * Called before {@link filter()}.
+	 * Called before {@link "filter()"}.
 	 *
 	 * @return true, if successful
 	 */
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/importer/ValidateXml.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/importer/ValidateXml.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/importer/ValidateXml.java	(revision 3940)
@@ -58,7 +58,7 @@
 	/**
 	 * @throws XMLStreamException test a String, not implemented.
 	 *
-	 * @param xmldata the xmldata @return true, if successful @throws
+	 * @return true, if successful
 	 */
 	public static boolean testAndThrow(File infile) throws XMLStreamException {
 		if (infile.isDirectory()) {
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/importer/SAttributesListener.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/importer/SAttributesListener.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/importer/SAttributesListener.java	(revision 3940)
@@ -203,7 +203,6 @@
 	 * Merge results in the parentListener
 	 * 
 	 * @param xmlFile
-	 * @param parentListener results are appended to the parentListener if any
 	 * @return
 	 * @throws IOException
 	 * @throws MalformedURLException
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/Toolbox.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/Toolbox.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/Toolbox.java	(revision 3940)
@@ -233,7 +233,6 @@
 	/**
 	 * Initializes the Toolbox using the INSTANCE SCOPE preferences of TXMPreferences
 	 *
-	 * @param props the props
 	 * @param monitor the optional monitor
 	 * @return true, if successful
 	 * @throws Exception
@@ -749,7 +748,7 @@
 	 * 
 	 * The update part consist of copying files from the install directory
 	 *
-	 * @param xmlDefinitionFile the xmlfile
+	 * @param txmhomedir
 	 * @return the workspace
 	 */
 	public static Workspace createOrUpdate(File txmhomedir) {
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/functions/CommandsAPI.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/functions/CommandsAPI.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/functions/CommandsAPI.java	(revision 3940)
@@ -32,9 +32,7 @@
 	/**
 	 * Manually install a command
 	 * 
-	 * @param cmd
-	 * @param clazz
-	 * @param mandatory_parameters
+	 * @param command
 	 */
 	public static void install(Command command) {
 		if (CommandsAPI.cmds.containsKey(command.cmd)) {
@@ -48,7 +46,6 @@
 	 * 
 	 * @param cmd
 	 * @param clazz
-	 * @param mandatory_parameters
 	 */
 	public static void install(String cmd, Class<TXMResult> clazz, HashSet<String> mandatoryParameters) {
 		Command command = new Command(cmd,clazz);
@@ -61,8 +58,6 @@
 	 * 
 	 * @param cmd
 	 * @param clazz
-	 * @param mandatory_parameters
-	 * @param optional_parameters
 	 */
 	public static void install(String cmd, Class<TXMResult> clazz, HashSet<String> mandatoryParameters, HashSet<String> optionalParameters) {
 		Command command = new Command(cmd,clazz);
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/engines/Engine.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/engines/Engine.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/engines/Engine.java	(revision 3940)
@@ -53,7 +53,7 @@
 	 * Notify the engine of a result state
 	 * example of usage: when a MainCorpus is deleted some engines needs to unload/delete files
 	 * 
-	 * @param project
+	 * @param r
 	 * @param state
 	 */
 	public void notify(TXMResult r, String state);
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/preferences/___CorpusScope.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/preferences/___CorpusScope.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/preferences/___CorpusScope.java	(revision 3940)
@@ -95,7 +95,7 @@
 	
 	/**
 	 * 
-	 * @param scope
+	 * @param name
 	 */
 	public static void removeScope(String name)	{
 		projectScopes.remove(name);
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 3940)
@@ -922,7 +922,6 @@
 	 * @param nodePath
 	 * @param result
 	 * @param key
-	 * @param defaultValue
 	 * @return
 	 */
 	public static long getLong(String key, TXMResult result, String nodePath) {
@@ -1181,7 +1180,6 @@
 	
 	/**
 	 * 
-	 * @param scope
 	 * @param nodePath
 	 * @param key
 	 * @return
@@ -1679,7 +1677,6 @@
 	/**
 	 * Puts a preference in the specified node.
 	 * 
-	 * @param scope
 	 * @param nodePath
 	 * @param key
 	 * @param value
@@ -1958,7 +1955,6 @@
 	/**
 	 * Saves the specified node into file.
 	 * 
-	 * @param result
 	 */
 	public static void flush(String nodePath) {
 		try {
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/CorpusBuild.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/CorpusBuild.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/CorpusBuild.java	(revision 3940)
@@ -174,7 +174,7 @@
 	/**
 	 * Instantiates a new sub corpus
 	 * 
-	 * @param corpus2 the parent corpus
+	 * @param partition the parent partition
 	 */
 	public CorpusBuild(Partition partition) {
 		super(partition);
@@ -887,9 +887,8 @@
 	}
 	
 	/**
-	 * Gets the description.
+	 * Sets the description.
 	 *
-	 * @return the description
 	 */
 	public void setDescription(String desc) {
 		this.pDescription = desc;
@@ -955,7 +954,7 @@
 	}
 	
 	/**
-	 * @param pDefaultSortProperty the defaultSortProperty to set
+	 * @param defaultViewProperty the defaultSortProperty to set
 	 */
 	public void setDefaultViewProperty(String defaultViewProperty) {
 		this.pDefaultViewProperty = defaultViewProperty;
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/Edition.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/Edition.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/Edition.java	(revision 3940)
@@ -76,7 +76,7 @@
 	/**
 	 * Instantiates a new edition.
 	 *
-	 * @param text the text
+	 * @param parametersNodePath the parametersNodePath String
 	 */
 	public Edition(String parametersNodePath) {
 		super(parametersNodePath);
@@ -280,7 +280,7 @@
 	/**
 	 * Gets the page.
 	 *
-	 * @param no the no
+	 * @param n the no of page to get
 	 * @return the page
 	 */
 	public Page getPage(int n) {
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/Project.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/Project.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/Project.java	(revision 3940)
@@ -205,7 +205,7 @@
 	 * Instantiates a new existing project from persistence.
 	 * This project will not be builded, main corpus, texts, editions, etc. will be restored from persistence.
 	 * 
-	 * @param nodePath
+	 * @param parametersNodePath
 	 * @throws CoreException
 	 */
 	public Project(String parametersNodePath) throws CoreException {
@@ -1252,9 +1252,8 @@
 	}
 	
 	/**
-	 * Gets the description.
+	 * Sets the description.
 	 *
-	 * @return the description
 	 */
 	public void setDescription(String desc) {
 		this.pDescription = desc;
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/Page.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/Page.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/Page.java	(revision 3940)
@@ -214,9 +214,9 @@
 	}
 
 	/**
-	 * Sets the name.
+	 * Sets the wordid.
 	 *
-	 * @param name the new name
+	 * @param wordid the new wordid
 	 */
 	public void setWordId(String wordid) {
 
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/Text.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/Text.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/Text.java	(revision 3940)
@@ -57,8 +57,6 @@
 	/**
 	 * Instantiates a new text.
 	 *
-	 * @param corpus the base
-	 * @param text the text
 	 */
 	public Text(Project project) {
 		super(project);
@@ -75,8 +73,6 @@
 	/**
 	 * Instantiates a new text.
 	 *
-	 * @param corpus the base
-	 * @param text the text
 	 */
 	public Text(String parametersNodePath) {
 		super(parametersNodePath);
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/SavedQuery.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/SavedQuery.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/SavedQuery.java	(revision 3940)
@@ -73,8 +73,6 @@
 	 * Instantiates a new query log.
 	 *
 	 * @param c the corpus
-	 * @param query the query
-	 * @param examples the examples
 	 */
 	public SavedQuery(CorpusBuild c) {
 		super(c);
@@ -84,9 +82,6 @@
 	/**
 	 * Instantiates a new query log.
 	 *
-	 * @param c the corpus
-	 * @param query the query
-	 * @param examples the examples
 	 */
 	public SavedQuery(String node) {
 		super(node);
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/xml/XPathHookActivator.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/xml/XPathHookActivator.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/xml/XPathHookActivator.java	(revision 3940)
@@ -28,7 +28,6 @@
 	protected boolean debug = false;
 	
 	/**
-	 * @param localname the element localname to match
 	 */
 	public XPathHookActivator(Hook<T> hook, String xpath) {
 		super(hook);
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/xml/XPathsHookActivator.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/xml/XPathsHookActivator.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/xml/XPathsHookActivator.java	(revision 3940)
@@ -28,7 +28,6 @@
 	List<String> xpaths;
 	
 	/**
-	 * @param localname the element localname to match
 	 */
 	public XPathsHookActivator(Hook<T> hook, List<String> xpaths) {
 		super(hook, xpaths.get(0));
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/xml/xmltxm/XMLTXMWordPropertiesInjection.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/xml/xmltxm/XMLTXMWordPropertiesInjection.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/xml/xmltxm/XMLTXMWordPropertiesInjection.java	(revision 3940)
@@ -70,8 +70,8 @@
 	}
 	
 	/**
-	 * @param id : the word identifier (id) to process.
-	 * @param properties: hashmap of ana@type+ana@value to injected. Warning ana@type must be prefixed with "#"
+	 * @param id the word identifier (id) to process.
+	 * @param properties hashmap of ana@type+ana@value to injected. Warning ana@type must be prefixed with "#"
 	 * 
 	 */
 	public void addProperty(String id, HashMap<String, String> properties) throws IOException, XMLStreamException {
Index: TXM/trunk/bundles/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java
===================================================================
--- TXM/trunk/bundles/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java	(revision 3940)
@@ -151,7 +151,6 @@
 	/**
 	 * Creates the part control.
 	 *
-	 * @param parent the parent
 	 * @throws CqiClientException
 	 * @see org.eclipse.ui.part.WorkbenchPart#createPartControl(org.eclipse.swt.widgets.Composite)
 	 */
Index: TXM/trunk/bundles/org.txm.index.rcp/src/org/txm/index/rcp/editors/PartitionIndexEditor.java
===================================================================
--- TXM/trunk/bundles/org.txm.index.rcp/src/org/txm/index/rcp/editors/PartitionIndexEditor.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.index.rcp/src/org/txm/index/rcp/editors/PartitionIndexEditor.java	(revision 3940)
@@ -154,7 +154,6 @@
 	/**
 	 * Creates the part control.
 	 *
-	 * @param parent the parent
 	 * @throws CqiClientException
 	 * @see org.eclipse.ui.part.WorkbenchPart#createPartControl(org.eclipse.swt.widgets.Composite)
 	 */
Index: TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java	(revision 3940)
@@ -444,7 +444,6 @@
 	/**
 	 * Pans the chart view.
 	 * 
-	 * @param chartComponent
 	 * @param srcX
 	 * @param srcY
 	 * @param dstX
@@ -472,9 +471,6 @@
 	 * Loads the chart from the chart object stored into the composite.
 	 * 
 	 * @param needInit
-	 * 
-	 * @param resetView
-	 * @param clearChartItemsSelection
 	 */
 	public void loadChart(final boolean needInit) {
 		
Index: TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditorInput.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditorInput.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditorInput.java	(revision 3940)
@@ -16,7 +16,6 @@
 	/**
 	 * Creates a chart editor input linked to the current SWT charts components provider.
 	 * @param result
-	 * @param preferencesNodeQualifier
 	 */
 	public ChartEditorInput(ChartResult result) {
 		super(result);
Index: TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/ChartComposite.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/ChartComposite.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/ChartComposite.java	(revision 3940)
@@ -136,8 +136,6 @@
 	/**
 	 * Creates a new chart component by calling the implementation method and store it.
 	 * 
-	 * @param chartEditorInput
-	 * @return
 	 */
 	public void createChartComponent() {
 		
@@ -315,7 +313,6 @@
 	/**
 	 * Pans the chart view.
 	 * 
-	 * @param chartComponent
 	 * @param srcX
 	 * @param srcY
 	 * @param dstX
@@ -421,7 +418,6 @@
 	/**
 	 * Initializes the default context menus.
 	 * 
-	 * @param composite
 	 */
 	public void initDefaultContextMenus() {
 		this.initItemAreaContextMenu();
Index: TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/ChartEditorToolBar.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/ChartEditorToolBar.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/ChartEditorToolBar.java	(revision 3940)
@@ -26,7 +26,6 @@
 	 * 
 	 * @param parent
 	 * @param style
-	 * @param toolBarId
 	 * @param chartEditor
 	 */
 	public ChartEditorToolBar(ChartEditor<? extends ChartResult> chartEditor, Composite parent, GLComposite subWidgetsComposite, int style) {
@@ -38,7 +37,7 @@
 	 * 
 	 * @param parent
 	 * @param style
-	 * @param chartEditorPart
+	 * @param chartEditor
 	 */
 	public ChartEditorToolBar(ChartEditor<? extends ChartResult> chartEditor, Composite parent, GLComposite subWidgetsComposite, int style, String toolbarId) {
 		super(chartEditor, parent, subWidgetsComposite, style, toolbarId);
Index: TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/SWTChartsComponentsProvider.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/SWTChartsComponentsProvider.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/SWTChartsComponentsProvider.java	(revision 3940)
@@ -209,7 +209,7 @@
 	/**
 	 * Sets the current charts component provider according to the specified charts engine output format and provider supported input format.
 	 * 
-	 * @param name the name of the charts engine to set as current
+	 * @param chartsEngine the charts engine to set as current
 	 */
 	public static void setCurrrentComponentsProvider(ChartsEngine chartsEngine) {
 		for (int i = 0; i < SWTChartsComponentsProvider.chartsComponentsProviders.size(); i++) {
@@ -302,7 +302,6 @@
 	 * Creates the chart drawing area composite.
 	 * 
 	 * @param parent
-	 * @param style
 	 * @return the composite
 	 */
 	public abstract ChartComposite createComposite(ChartEditor<?> chartEditor, Composite parent);
Index: TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/events/EventCallBackHandler.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/events/EventCallBackHandler.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/events/EventCallBackHandler.java	(revision 3940)
@@ -31,7 +31,7 @@
 	
 	/**
 	 * 
-	 * @param swtChartsComponentProvider
+	 * @param chartComponent
 	 */
 	public EventCallBackHandler(IChartComponent chartComponent) {
 		this.chartComponent = chartComponent;
Index: TXM/trunk/bundles/org.txm.progression.rcp/src/org/txm/progression/rcp/chartsengine/events/ProgressionEventCallBack.java
===================================================================
--- TXM/trunk/bundles/org.txm.progression.rcp/src/org/txm/progression/rcp/chartsengine/events/ProgressionEventCallBack.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.progression.rcp/src/org/txm/progression/rcp/chartsengine/events/ProgressionEventCallBack.java	(revision 3940)
@@ -393,7 +393,7 @@
 	 * Updates the linked edition editor.
 	 * If the editor doesn't exist it will be created.
 	 * 
-	 * @param editor
+	 * @param linkedEditor
 	 */
 	public void updateLinkedEditionEditor(SynopticEditionEditor linkedEditor, ArrayList<Integer> selectedPointPositions) {
 		
